/* global angular, random */
angular.module("app").config([
    '$stateProvider',
    function ($stateProvider) {
        $stateProvider.state('main.tags_asignaciones', {
            url: '/tags-asignaciones',
            templateUrl: 'templates/tags/tags-asignaciones.html' + random,
            controller: 'TagsAsignacionesCtrl',
            resolve: {
                loadMyCtrl: [
                    '$ocLazyLoad',
                    function ($ocLazyLoad) {
                        return $ocLazyLoad.load([
                            'js/controllers/tags-asignaciones-controllers.js' + random,
                            'js/services/tags-services.js' + random,
                            'js/services/numeros-economicos-services.js' + random
                        ]);
                    }
                ]
            }
        });
    }
]);